
/*
 *
 *	pour plus de details:		oulala@chez.com
 *
 */

#include	"colors.inc"
#include	"metals.inc"
#include	"textures.inc"

/*------------------------------------------------------------------*/
plane	{
	y, 0
	pigment
		{
		brick Gray35, rgb<0.50, 0.40, 0.20>
		rotate z*90
		}
	}

sky_sphere {
	pigment
		{
		gradient	y
		color_map
			{
			[0 color Khaki]
			[0.2 color <0   ,  .1, .2>]
			[0.5 color <0.2 , 0,    0>]
			[0.6 color <0   ,  .2, .1>]
			[1 color Khaki]
			}
		turbulence 2.5
		}
	rotate 50
	scale	2
	}

#include	"train.inc"
#include	"rails.inc"
#include	"corail.inc"
#include	"poteaux.inc"

object 
{
union
	{
	object { Wagon_Corail translate y*2 }
	object { Un_Rail_Droit }
	object { Un_Rail_Droit translate z*100 }
	object { Un_Rail_Droit translate z*200 }
	object { Un_Rail_Droit translate z*300 }
	}
}

#declare foo = -300;
#while (foo < 400)
	object { Poteau_1 translate <20, 0, foo> }
	#declare foo = foo +42;
#end

/*------------------------------------------------------------------*/

camera
	{
	location	<18, 10, -45>
	look_at		<0, 6, 0>
	angle		62
	}

light_source { <550, 725, -900> color Gray60 }
light_source { <600, 700, -850> color Gray50 }


/*------------------------------------------------------------------*/
