
/*
 *
 *	pour plus de details:		oulala@chez.com
 *
 */

#include	"colors.inc"
#include	"metals.inc"

/*------------------------------------------------------------------*/

background { color Gray40 }

plane	{
	y, 0
	pigment
		{
		hexagon Gray55, rgb<0.55, 0.65, 0.30>, Gray75
		scale 20
		}
	finish { reflection 0.42 }
	}

#include	"rails.inc"
#include	"train.inc"
#include	"electric.inc"

union
	{
	object { Un_Rail_Droit }
	object { Locomotive_Electric translate y*2 }
	}

/*------------------------------------------------------------------*/

camera
	{
	location	<11, 11.1, -54>
	look_at		<0, 8, -10>
	angle		38
	}

light_source { <7, 8, -54> color Gray80 }
light_source { <150, 130, -150> color Green }
light_source { <270, 130, 250> color Gray50 }

/*------------------------------------------------------------------*/
