
/*
 *
 *	pour plus de details:		oulala@chez.com
 *
 */

#include	"colors.inc"
#include	"metals.inc"
#include	"textures.inc"

/*------------------------------------------------------------------*/

plane	{
	y, 0
	pigment
		{
		brick Gray50, rgb<0.10, 0.60, 0.30>
		rotate z*90
		scale 3
		}
	}

sky_sphere {
	pigment
		{
		gradient	y
		color_map
			{
			[0.2 color <0, .1, .2>]
			[0.6 color <0, .3, .1>]
			[0.9 color <0, .2, .3>]
			}
		turbulence 29
		}
	rotate 40
	scale	1.5
	}

#include	"train.inc"
#include	"rails.inc"
#include	"grue.inc"

object 
{
union
	{
	object { Wagon_Grue translate y*2 }
	object { Un_Rail_Droit }
	object { Un_Rail_Droit translate z*100 }
	object { Un_Rail_Droit translate z*200 }
	}
}

/*------------------------------------------------------------------*/

camera
	{
	location	<42, 12, 25>
	look_at		<0, 6, 3>
	angle		42
	}

light_source { <350, 425, -500> color Green }
light_source { <70, 38, 40> color White }

/*------------------------------------------------------------------*/
