
/*
 *	fichier de test pour l'interieur du wagon Corail.
 *
 *
 *	pour plus de details:		oulala@chez.com
 *
 */

#include	"colors.inc"
#include	"metals.inc"

/*------------------------------------------------------------------*/

sky_sphere {
	pigment
		{
		gradient	y
		color_map
			{
			[0 color Gray75]
			[1 color Blue]
			}
		}
	scale	4
	translate -1
	rotate x*60
	}

plane	{
	y, 0
	pigment
		{
		brick Gray35, rgb<0.50, 0.40, 0.30>
		rotate z*90
		}
	}

#include	"train.inc"
#include	"corail.inc"

object { Wagon_Corail }
camera	{
	location	<-1.6, 10, -19>
	look_at		<1, 4, 10>
	angle		80
	}

/*------------------------------------------------------------------*/


light_source { <180, 125, -180> color White }
//light_source { <170, 100, -180> color White }
//light_source { <120, 11, -185> color White }

/*------------------------------------------------------------------*/
