/*
 *
 *
 */

#include	"colors.inc"
#include	"metals.inc"
/*------------------------------------------------------------------*/
plane	{
	y, 0
	pigment	{
		image_map { tga "plancher.tga" interpolate 0 }
		rotate 		x*90
		translate 	<-0.5, 0, -0.5>
		scale		<42, 1, 42>
		}
	normal {
		dents	0.3
		scale	0.3
		}
	}

sky_sphere {
	pigment {
		gradient	y
		color_map
			{
			[0 color Khaki]
			[0.4 color DarkGreen]
			[0.5 color Blue]
			[0.6 color LightBlue]
			[1 color Khaki]
			}
		turbulence 0.42*2
		}
	rotate 70
	scale	0.3123
	translate -1
	}

#include	"rails.inc"
#include	"train.inc"
#include	"locomotive.inc"
// #include	"electric.inc"

union {
	object { Un_Rail_Droit }
	object { Un_Rail_Droit translate z*-100 }
	object { Locomotive_Vapeur translate <0, 2, 15> }
	rotate y*5
	}


union {
	object { Un_Rail_Droit }
	object { Un_Rail_Droit translate z*-100 }
	// object { Locomotive_Electric translate y*2 }
	translate x*42
	}


/*------------------------------------------------------------------*/

camera {
	location	<-42, 17.5, 32>
	look_at		<5, 9.7, 18>
	angle		42
	}

light_source { <150, 118, -150> color Gray70 }
light_source { <-170, 298, -250> color Gray70 }

light_source { <-700, 200, 150> color White }

/*------------------------------------------------------------------*/
