/*
 *
 *	pour plus de details:		oulala@chez.com
 *
 */

#include	"colors.inc"
#include	"metals.inc"

/*------------------------------------------------------------------*/

disc	{
	<0, 0, 0>, y, 100
	pigment
		{
		brick Gray45, rgb<0.81, 0.42, 0.40>
		rotate z*90
		}
	scale 2
	rotate y*12
	}

sky_sphere {
	pigment
		{
		gradient	y
		color_map
			{
			[0	color Black]
			[0.33	color <0.7, 0.3, 0.5> ]
			[0.44   color <0.7, 0.3, 0.1> ]
			[0.66	color Blue]
			[1	color Black]
			}
		turbulence 0.42
		}
	scale	.042
	rotate  42
	}

#include	"train.inc"
#include	"locomotive.inc"
#include	"electric.inc"
#include	"corail.inc"
#include	"citerne.inc"
#include	"ridelles.inc"
#include 	"rails.inc"
#include	"benne.inc"
#include	"grue.inc"

union {
	object { Wagon_Benne	translate y*2	}
	object { Un_Rail_Droit }
	translate x*-56 
}

union {
	object { Locomotive_Vapeur	translate y*2 }
	object { Un_Rail_Droit }
	translate x*-32 
}

union {
	object { Wagon_Corail	 translate y*2	}
	object { Un_Rail_Droit }
	translate x*-9 
}

union {
	object { Wagon_Ridelles	 translate y*2	}
	object { Un_Rail_Droit }
	translate x*10
}

union {
	object { Wagon_Citerne	translate y*2	}
	object { Un_Rail_Droit }
	translate x*35 
}

union {
	object { Locomotive_Electric	 translate y*2 }
	object { Un_Rail_Droit }
	translate x*57 
}

union {
	object { Wagon_Grue		 translate y*2 }
	object { Un_Rail_Droit }
	translate x*79 
}
/*------------------------------------------------------------------*/

camera
	{
	location	<94, 24, -170>
	look_at		<10, 0, 0>
	angle		42
	}

light_source { <150, 78, -250> color Gray20 }
light_source { <140, 140, -250> color Gray20 }
light_source { <-140, 210, -250> color Blue }

/*------------------------------------------------------------------*/
