
/*
 *
 *	pour plus de details:		oulala@chez.com
 *
 */

#include	"colors.inc"
#include	"metals.inc"
#include	"textures.inc"

/*------------------------------------------------------------------*/

global_settings { ambient_light Gray10 }

#include "plancher.inc"

object { Plancher_0 rotate y*3 }

#declare DarkKhaki = color red 0.523529 green 0.523529 blue 0.272549;
sky_sphere {
	pigment
		{
		gradient	y
		color_map
			{
			[0 color DarkKhaki]
			[0.3 color Blue]
			[1 color LightBlue]
			}
		turbulence 0.8
		}
	rotate 55
	translate -1
	}

#include	"rails.inc"
#include	"train.inc"
#include	"benne.inc"
#include	"citerne.inc"
#include	"ridelles.inc"
#include	"corail.inc"
#include	"locomotive.inc"

union
	{
	object { Un_Rail_Droit }
	object { Un_Rail_Droit translate z*-100 }
	object { Un_Rail_Droit translate z* 100 }

	object { Locomotive_Vapeur	translate <0, 2, -56> }
	object { Wagon_Citerne		translate <0, 2, -25> }
	object { Wagon_Benne		translate <0, 2,   2> }
	object { Wagon_Corail		translate <0, 2,  39> }
	object { Wagon_Ridelles		translate <0, 2,  78> }
	}

#include  "poteaux.inc"

#declare foo = -300;
#while (foo < 300)
	object { Poteau_1 translate <25, 0, foo> }
	#declare foo = foo + 42;
#end

/*------------------------------------------------------------------*/

camera
	{
	location	<130, 18, 15>
	look_at		<0, 3, 10>
	angle		70
	}

light_source { <150, 98, -150> color Orange }
light_source { <170, 88, -170> color Yellow }

// light_source { <100, 100, 50> color White }

/*------------------------------------------------------------------*/
