/*
 *		tous les petits jouets ensembles
 *		--------------------------------
 *
 *	les dimensions sont en centimetres, et on regardera
 *	les choses a une hauteur de 40 cm. 
 *
 *	pour plus de details:		oulala@chez.com
 *
 */

#include	"colors.inc"
#include	"metals.inc"
#include	"textures.inc"

/*------------------------------------------------------------------*/

#include	"plancher.inc"
object { Plancher_0 scale <.5, 1, .5> }

/*------------------------------------------------------------------*/

#include	"train.inc"
#include	"citerne.inc"
#include	"ridelles.inc"

object { Wagon_Ridelles	rotate y*-10 translate x*-14 }
object { Wagon_Citerne	rotate y*50 translate x*16 }

#include	"poteaux.inc"

object { Poteau_0 }
object { Poteau_1 translate -z*9.34567 }

/*------------------------------------------------------------------*/

camera
	{
	location	<12, 20, -50>
	look_at		<0, 0, 0>
	angle		42
	}

light_source { <-50, 120, -330> color White }
light_source { <190, 498, -250> color White }
light_source { <160, 99, -250> color Yellow }

/*------------------------------------------------------------------*/
